Subject: Re: draft-narten-ipv6-3177bis-48boundary-02.txt

From: Ralph Droms <[email-masked]>
Date: Thu, 13 Jul 2006 23:04:07 -0400

Within some constraints, the Cisco PD link numbering mechanism actually
allows flexibility in the length of the delgated prefix.  The CLI allows for
concatenation of the delegated prefix with additional bits to form a /64,
independent of the length of the delegated prefix.  The end result is to
logically OR together the prefix and the additional bits to form the /64
assigned to the link.

One constraint is, of course, if the delegated prefix is too long and
doesn't leave enough room for the additional bits.  For example, while
2001:DB8::/48 can be concatenated with 0x16 to form 2001:DB8:0:16/64, if the
delegated prefix is a /60, it's not possible to concatenate 2001:DB8::/60
with 0x16 to form a /64.

- Ralph

On 7/13/06 12:21 PM, "Iljitsch van Beijnum" <[email-masked]> wrote:

> On 12-jul-2006, at 9:30, Thomas Narten wrote:
> 
>> draft-narten-ipv6-3177bis-48boundary-02.txt
> [...]
> I'd like to offer the way DHCPv6 prefix delegation is implemented in
> Cisco routers as an example. Cisco routers are capable of requesting
> a prefix over DHCPv6 and then automatically generate addresses for
> subnets based on this prefix. However, this requires adding a
> specific number of bits, so even though the prefix itself doesn't
> appear in a router configuration, its _length_ does.
> [...]
> Iljitsch van Beijnum
> 
> [1] Another choice would be the all-zeros subnet but if the same is
> done with a /48 it would be a shame to use this subnet up for this as
> the all-zeros subnet allows for shorter addresses, especially if more
> zeros follow.
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------